Bug 1734273 - PyROOT not working with ROOT 6.18
Summary: PyROOT not working with ROOT 6.18
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 06:34 UTC by Guilherme Amadio
Modified: 2019-08-18 00:27 UTC (History)
1 user (show)

Fixed In Version: root-6.18.00-3.fc30 root-6.18.00-3.fc29 root-6.18.00-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-11 01:13:08 UTC


Attachments (Terms of Use)

Description Guilherme Amadio 2019-07-30 06:34:12 UTC
Description of problem:

PyROOT is not working with ROOT 6.18/00 in Fedora 30. The _rdict.pcm files must be alongside the libraries to be found by the interpreter, and the current packaging only deals with the library, not the _rdict.pcm and rootmap files.

Version-Release number of selected component (if applicable): Fedora 30, ROOT 6.18/00

Steps to Reproduce:

$ yum list root python2-root python3-root
Last metadata expiration check: 0:00:43 ago on Tue Jul 30 06:28:34 2019.
Installed Packages
python2-root.x86_64                                       6.18.00-1.fc30                                       @updates
python3-root.x86_64                                       6.18.00-1.fc30                                       @updates
root.x86_64                                               6.18.00-1.fc30                                       @updates
$ python -c 'import ROOT'
Error in <TCling::RegisterModule>: cannot find dictionary module libPyROOT_rdict.pcm
$ python3 -c 'import ROOT'
Error in <TCling::RegisterModule>: cannot find dictionary module libPyROOT_rdict.pcm
$ ls /usr/lib64/root/libPy*
/usr/lib64/root/libPyMVA.rootmap     /usr/lib64/root/libPyMVA_rdict.pcm  /usr/lib64/root/libPyROOT.so.6.18.00
/usr/lib64/root/libPyMVA.so          /usr/lib64/root/libPyROOT.rootmap   /usr/lib64/root/libPyROOT_rdict.pcm
/usr/lib64/root/libPyMVA.so.6.18     /usr/lib64/root/libPyROOT.so
/usr/lib64/root/libPyMVA.so.6.18.00  /usr/lib64/root/libPyROOT.so.6.18
$ export PYTHONPATH=/usr/lib64/root
$ python -c 'import ROOT'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/ROOT.py", line 24, in <module>
    import cppyy
  File "/usr/lib64/python2.7/site-packages/cppyy.py", line 61, in <module>
    import libPyROOT as _backend
ImportError: dynamic module does not define init function (initlibPyROOT)
$ python3 -c 'import ROOT'
$

Comment 1 Fedora Update System 2019-08-02 05:01:29 UTC
FEDORA-EPEL-2019-ef8efb18ab has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef8efb18ab

Comment 2 Fedora Update System 2019-08-02 05:01:32 UTC
FEDORA-2019-66e28e2291 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-66e28e2291

Comment 3 Fedora Update System 2019-08-02 05:01:33 UTC
FEDORA-2019-5c8643ad27 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5c8643ad27

Comment 4 Fedora Update System 2019-08-03 00:12:47 UTC
root-6.18.00-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef8efb18ab

Comment 5 Fedora Update System 2019-08-03 00:58:14 UTC
root-6.18.00-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-66e28e2291

Comment 6 Fedora Update System 2019-08-03 02:02:05 UTC
root-6.18.00-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5c8643ad27

Comment 7 Fedora Update System 2019-08-11 01:13:08 UTC
root-6.18.00-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-08-11 01:42:10 UTC
root-6.18.00-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-18 00:27:48 UTC
root-6.18.00-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.